<h3>Results</h3>
<app-collection-mediator [service]="resultService">
    <ng-template #itemTemplate let-model="context">
        <ng-container *ngIf="toItem(model); let item">
            <a class="button collection-item-link" [routerLink]="['/Database/Result/', item.id]">
                <img alt="@context.CpuVendor logo" [src]="'./assets/cpus/'+ item.cpuVendor + '.svg'"
                     class="collection-item-icon" loading="lazy">
                <img [alt]="item.benchmarkName + 'representative image'"
                     [src]="'./assets/benchmarks/'+ item.benchmarkUuid + '.svg'" class="collection-item-icon"
                     loading="lazy">
                <div class="collection-item-name-container">
                    <span>{{getTimestampString(item.timeStamp)}}</span>
                    <span class="collection-item-name">{{item.cpuModelName}}</span>
                </div>
                <div class="collection-item-details-container">
                    <b class="collection-item-name">
                        {{item.benchmarkName}} &#8773;
                    </b>
                    <b class="badge">{{valueConverter.toStringSI(item.score, item.benchmarkScoreUnit)}}</b>
                </div>
            </a>
        </ng-container>
    </ng-template>
</app-collection-mediator>


